Subject: Re: bug#35885: 25.2; Few mistakes in Emacs Manual (+ proposals)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Jun 2019 19:59:45 +0300

> From: Sebastian Urban <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 11 Jun 2019 12:32:36 +0200
> 
> So, in 2., 3., 4., 5., 6.(1st), we have pattern of "negative argument
> -N ... something N something..."
> 
> In 1. it's something similar but without '-N' just "negative
> argument", also 6.(2nd) is something similar but 'N' doesn't have
> minus sign.
> 
> But in 7. and 8. (and the one I already sent) we have "if N is
> negative... something -N something".
> 
> So, after looking at more examples, I think the best idea would be to
> go with the most used pattern, therefore:
>     - add '-N' to 1.,
>     - add minus sign do 6.(2nd),
>     - replace - in 7., 8., and the one I sent - "if N is negative"
>       with "with negative argument -N" then change '-N' to 'N' in the
>       rest of each sentence.
> 
> There is also a problem of minus sign, or to simply put - lack of it
> in 3. and 6.(1st) and the one I sent - there we can see "hyphen-minus"
> (#x2d).  In other cases it is "minus sign" (#x2212).

I fixed the inconsistencies with the minus sign vs hyphen.  As for the
few examples saying "if N is negative <do something> −N times": sorry,
I cannot see anything wrong with such wording, so I left those few
examples alone.

Thanks.